## visad.ss
Class SSCellData

    java.lang.Object
      visad.ss.SSCellData

public class SSCellData
extends Object

Class for encapsulating all needed information about a Data object present in a BasicSSCell.

Field Summary
`(package private) SSCellImpl` `cell` VisAD Cell for monitoring local data changes.
`(package private) boolean` `othersDepend` Whether other data depends on this data.
`(package private) BasicSSCell` `ssCell` Associated spreadsheet cell for the data.

Constructor Summary
`SSCellData(int id, BasicSSCell ssCell, DataReferenceImpl ref, ConstantMap[] cmaps, String source, int type, boolean checkErrors)` Constructs a new SSCellData object, for encapsulating a Data object and related information.

Method Summary
`void` `destroy()` Stops monitoring the data for changes.
`ConstantMap[]` `getConstantMaps()` Gets the ConstantMaps associated with the reference.
`Data` `getData()` Gets the Data object.
`String[]` `getErrors()` Gets the errors encountered when generating the Data object.
`int` `getId()` Gets the ID number.
`DataReferenceImpl` `getReference()` Gets the DataReference pointing to the data.
`RemoteDataReferenceImpl` `getRemoteReference()` Gets the remote copy of the DataReference.
`String` `getSource()` Gets the source of the data, in String form.
`int` `getSourceType()` Gets the source type of the data.
`String` `getVariableName()` Gets the variable name used for the data in the formula manager.
`boolean` `isInited()` Returns whether this data's cell has finished initializing.
`boolean` `othersDepend()` Gets whether other data depends on this data.
`void` `setData(Data data)` Sets the data.
`(package private) void` `setData(Data data, boolean notify)` Sets the data, broadcasting data change notification if flag is set.
`void` `setDependencies(Real real)` Sets whether others depend on this data.
`void` `setError(String error)` Sets a single error for the Data object.
`void` `setErrors(String[] errors)` Sets the errors for the Data object.
`(package private) void` `setErrors(String[] errors, boolean notify)` Sets the errors for the Data object, notifying linked cells if notify flag is set.
`(package private) void` `setErrors(String[] errors, boolean notify, boolean update)` Sets the errors for the Data object, notifying linked cells if notify flag is set, and updating display if update flag is set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ssCell

    BasicSSCell ssCell

  Associated spreadsheet cell for the data.

### othersDepend

    boolean othersDepend

  Whether other data depends on this data.

### cell

    SSCellImpl cell

  VisAD Cell for monitoring local data changes.

Constructor Detail

### SSCellData

    public SSCellData(int id,
                      BasicSSCell ssCell,
                      DataReferenceImpl ref,
                      ConstantMap[] cmaps,
                      String source,
                      int type,
                      boolean checkErrors)
               throws VisADException,
                      RemoteException

  Constructs a new SSCellData object, for encapsulating a Data object and related information.

Method Detail

### getId

    public int getId()

  Gets the ID number.

### getData

    public Data getData()

  Gets the Data object.

### getReference

    public DataReferenceImpl getReference()

  Gets the DataReference pointing to the data. Changes to the reference's data automatically propagate to all linked cells.

### getConstantMaps

    public ConstantMap[] getConstantMaps()

  Gets the ConstantMaps associated with the reference.

### getRemoteReference

    public RemoteDataReferenceImpl getRemoteReference()

  Gets the remote copy of the DataReference.

### getSource

    public String getSource()

  Gets the source of the data, in String form.

### getSourceType

    public int getSourceType()

  Gets the source type of the data.

  Returns:
    Source type. Valid types are:
    - BasicSSCell.UNKNOWN_SOURCE
    - BasicSSCell.DIRECT_SOURCE
    - BasicSSCell.URL_SOURCE
    - BasicSSCell.FORMULA_SOURCE
    - BasicSSCell.RMI_SOURCE
    - BasicSSCell.REMOTE_SOURCE

### getVariableName

    public String getVariableName()

  Gets the variable name used for the data in the formula manager.

### getErrors

    public String[] getErrors()

  Gets the errors encountered when generating the Data object.

### othersDepend

    public boolean othersDepend()

  Gets whether other data depends on this data.

### isInited

    public boolean isInited()

  Returns whether this data's cell has finished initializing.

### setData

    public void setData(Data data)
                 throws VisADException,
                        RemoteException

  Sets the data.

  Throws:
    `VisADException`
    `RemoteException`

### setData

    void setData(Data data,
                 boolean notify)
           throws VisADException,
                  RemoteException

  Sets the data, broadcasting data change notification if flag is set.

  Throws:
    `VisADException`
    `RemoteException`

### setError

    public void setError(String error)

  Sets a single error for the Data object.

### setErrors

    public void setErrors(String[] errors)

  Sets the errors for the Data object.

### setErrors

    void setErrors(String[] errors,
                   boolean notify)

  Sets the errors for the Data object, notifying linked cells if notify flag is set.

### setErrors

    void setErrors(String[] errors,
                   boolean notify,
                   boolean update)

  Sets the errors for the Data object, notifying linked cells if notify flag is set, and updating display if update flag is set.

### setDependencies

    public void setDependencies(Real real)

  Sets whether others depend on this data.

### destroy

    public void destroy()

  Stops monitoring the data for changes.